## -*- coding: utf-8-unix -*-
## NOTE: This spec file is generated by tlpdb2rpmspec 2012-1: 
## tlpdb2rpmspec collection-genericextra

%global _use_internal_dependency_generator 0
%global __find_provides %{nil}
%global __find_requires %{nil}

%define aliasttfdir	%{texmfsysvar}/fonts/truetype/vine
%define texmfsysconfig	%{_sysconfdir}/texmf
%define texmfsysvar	%{_var}/lib/texmf
%define vartexfonts	%{texmfsysvar}/fonts

%define tex_destdir	%{_datadir}
%define texmf		%{tex_destdir}/texmf
%define texlive_src	%{tex_destdir}/texlive-sources
%define build_tex_destdir	%{buildroot}%{tex_destdir}
%define build_texmf	%{buildroot}%{texmf}

## use some macros for %post, %posttrans
%define touch_run(%1)	%{expand:( %__mkdir_p /var/run/texlive; touch /var/run/texlive/run-%1; )
}
%define exec_upddeffont	[ -x %{_sbindir}/update-defaultfont ] && \\\
    %{_sbindir}/update-defaultfont 2> /dev/null
%define exec_texhash	[ -e /var/run/texlive/run-texhash ] && ( \\\
    [ -x %{_bindir}/texhash ] && \\\
    echo -n "    "; echo -n "Running texhash... "; \\\
    %{_bindir}/texhash 2> /dev/null; \\\
    echo "done." ) && %__rm -f /var/run/texlive/run-texhash;
%define exec_mtxrun	[ -e /var/run/texlive/run-mtxrun ] && ( \\\
    [ -x %{_bindir}/mtxrun ] && \\\
    echo -n "    "; echo -n "Running mtxrun... "; \\\
    export TEXMF=%{texmf}-dist TEXMFCNF=%{texmf}/web2c TEXMFCACHE=%{texmfsysvar}; \\\
    %{_bindir}/mtxrun --generate &> /dev/null; \\\
    echo "done." ) && %__rm -f /var/run/texlive/run-mtxrun; 
%define exec_fmtutil	[ -e /var/run/texlive/run-fmtutil ] && ( \\\
    [ -x %{_bindir}/fmtutil-sys ] && \\\
    echo -n "    "; echo -n "Running fmtutil-sys... "; \\\
    %{_bindir}/fmtutil-sys --all &> /dev/null; \\\
    echo "done." ) && %__rm -f /var/run/texlive/run-fmtutil; 
%define exec_updmap	[ -e /var/run/texlive/run-updmap ] && ( \\\
    [ -x %{_bindir}/updmap-sys ] && \\\
    echo -n "    "; echo -n "Running updmap-sys... "; \\\
    %{_bindir}/updmap-sys --nohash --quiet &> /dev/null; \\\
    echo "done." ) && %__rm -f /var/run/texlive/run-updmap; 

Summary: TeX Live: Extra generic packages
Summary(ja): TeX Live: Extra generic packages
Name: texlive-collection-genericextra
Version: 2012
Release: 1%{?_dist_release}
License: Public Domain, Freely redistributable without restriction, LPPL, LPPL 1.3, No Info, GPL+, Knuth
Group: Applications/Publishing
URL:http://www.tug.org/texlive/

Requires: texlive = %{version}
Requires: texlive-collection-basic = %{version}

Requires(post):		texlive = %{version}
Requires(postun):	texlive = %{version}
#BuildRequires:		texlive-sources = %{version}

BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	munepi

%description
The TeX Live software distribution offers a complete TeX system for a
variety of Unix, Macintosh, Windows and other platforms. It
encompasses programs for editing, typesetting, previewing and printing
of TeX documents in many different languages, and a large collection
of TeX macros and font libraries.

The distribution includes extensive general documentation about TeX,
as well as the documentation for the included software packages.

This package is a collection of Extra generic packages: 
Extra packages that work with multiple formats, typically both
TeX and LaTeX.

This package contains the following CTAN packages: 
abbr: Simple macros supporting abreviations for Plain and LaTeX.
abstyles: Adaptable BibTeX styles.
barr: Diagram macros by Michael Barr.
bitelist: Split list, in TeX's mouth.
borceux: Diagram macros by Francois Borceux.
c-pascal: Typeset Python, C and Pascal programs.
chronosys: Drawing time-line diagrams.
colorsep: Color separation.
dinat: Bibliography style for German texts.
dirtree: Display trees in the style of windows explorer.
dowith: 
eijkhout: Victor Eijkhout's packages.
encxvlna: Insert nonbreakable spaces, using encTeX.
epigram: Display short quotations.
fenixpar: One-shot changes to token registers such as everypar.
fltpoint: Simple floating point arithmetic.
fntproof: A programmable font test pattern generator.
gates: Support for writing modular and customisable code.
ifetex: Provides ifetex switch.
iftex: Am I running under pdfTeX, XeTeX or LuaTeX?
insbox: A TeX macro for inserting pictures/boxes into paragraphs.
lecturer: On-screen presentations for (almost) all formats.
librarian: Tools to create bibliographies in TeX.
mathdots: Commands to produce dots in math that respect font size.
metatex: Incorporate MetaFont pictures in TeX source.
midnight: A set of useful macro tools.
multi: 
navigator: PDF features across formats and engines.
ofs: Macros for managing large font collections.
pdf-trans: A set of macros for various transformations of TeX boxes.
shade: Shade pieces of text.
systeme: Format systems of equations.
tabto-generic: "Tab" to a measured position in the line.
texapi: Macros to write format-independent packages.
upca: 
xlop: Calculates and displays arithmetic operations.
yax: Yet Another Key System.

%description -l ja
TeX Live ソフトウェアディストリビューションは、
さまざまな Unix, Macintosh, Windows、および
他のプラットホームに対して完全な TeX システムを提供します。
多くの異なった言語を含む TeX ドキュメントの
編集、組版、閲覧、印刷するためのプログラム、
そして、TeX マクロやフォントライブラリの大きなコレクションを
同梱しています。

このディストリビューションは
同梱しているソフトウェアパッケージのためのドキュメントばかりでなく、
TeX に関するたくさんの一般的なドキュメントを含んでいます。

このパッケージは以下のようなパッケージ集です。
Extra generic packages: 
Extra packages that work with multiple formats, typically both
TeX and LaTeX.

このパッケージは以下の CTAN パッケージを含んでいます： 
abbr: Simple macros supporting abreviations for Plain and LaTeX.
abstyles: Adaptable BibTeX styles.
barr: Diagram macros by Michael Barr.
bitelist: Split list, in TeX's mouth.
borceux: Diagram macros by Francois Borceux.
c-pascal: Typeset Python, C and Pascal programs.
chronosys: Drawing time-line diagrams.
colorsep: Color separation.
dinat: Bibliography style for German texts.
dirtree: Display trees in the style of windows explorer.
dowith: 
eijkhout: Victor Eijkhout's packages.
encxvlna: Insert nonbreakable spaces, using encTeX.
epigram: Display short quotations.
fenixpar: One-shot changes to token registers such as everypar.
fltpoint: Simple floating point arithmetic.
fntproof: A programmable font test pattern generator.
gates: Support for writing modular and customisable code.
ifetex: Provides ifetex switch.
iftex: Am I running under pdfTeX, XeTeX or LuaTeX?
insbox: A TeX macro for inserting pictures/boxes into paragraphs.
lecturer: On-screen presentations for (almost) all formats.
librarian: Tools to create bibliographies in TeX.
mathdots: Commands to produce dots in math that respect font size.
metatex: Incorporate MetaFont pictures in TeX source.
midnight: A set of useful macro tools.
multi: 
navigator: PDF features across formats and engines.
ofs: Macros for managing large font collections.
pdf-trans: A set of macros for various transformations of TeX boxes.
shade: Shade pieces of text.
systeme: Format systems of equations.
tabto-generic: "Tab" to a measured position in the line.
texapi: Macros to write format-independent packages.
upca: 
xlop: Calculates and displays arithmetic operations.
yax: Yet Another Key System.

%package doc
Summary: TeX Live: Documentation files of %{name}
Group: Applications/Publishing
Requires: %{name} = %{version}-%{release}

%description doc
This package contains documentation files of %{name}.

%prep

%build

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && %__rm -rf %{buildroot}

PREF=%{buildroot}%{tex_destdir}

manifest=(
texmf-dist/doc/generic/abbr/README
texmf-dist/tex/generic/abbr/abbr.tex
texmf-dist/doc/bibtex/abstyles/README
texmf-dist/doc/bibtex/abstyles/a4c.sty
texmf-dist/doc/bibtex/abstyles/a4c.tex
texmf-dist/doc/bibtex/abstyles/abstdok.pdf
texmf-dist/doc/bibtex/abstyles/abstdok.tex
texmf-dist/doc/bibtex/abstyles/apreambl.doc
texmf-dist/doc/bibtex/abstyles/btxabst.doc
texmf-dist/doc/bibtex/abstyles/docmac.doc
texmf-dist/doc/bibtex/abstyles/docmac.tex
texmf-dist/bibtex/bib/abstyles/acompat.bib
texmf-dist/bibtex/bib/abstyles/jourabbr.bib
texmf-dist/bibtex/bib/abstyles/jourfull.bib
texmf-dist/bibtex/bst/abstyles/aabbrv.bst
texmf-dist/bibtex/bst/abstyles/aalpha.bst
texmf-dist/bibtex/bst/abstyles/anotit.bst
texmf-dist/bibtex/bst/abstyles/aplain.bst
texmf-dist/bibtex/bst/abstyles/aunsnot.bst
texmf-dist/bibtex/bst/abstyles/aunsrt.bst
texmf-dist/tex/generic/abstyles/apreambl.tex
texmf-dist/doc/generic/barr/diaxydoc.pdf
texmf-dist/doc/generic/barr/diaxydoc.tex
texmf-dist/tex/generic/barr/diagxy.tex
texmf-dist/doc/generic/bitelist/README
texmf-dist/doc/generic/bitelist/bitelist.pdf
texmf-dist/source/generic/bitelist/bitelist.tex
texmf-dist/source/generic/bitelist/srcfiles.tex
texmf-dist/tex/generic/bitelist/bitedemo.tex
texmf-dist/tex/generic/bitelist/bitelist.sty
texmf-dist/doc/generic/borceux/Diagram_Mode_d_Emploi
texmf-dist/doc/generic/borceux/Diagram_Read_Me
texmf-dist/doc/generic/borceux/README
texmf-dist/doc/generic/borceux/compatibility/OldDiagram
texmf-dist/doc/generic/borceux/compatibility/OldMaxiDiagram
texmf-dist/doc/generic/borceux/compatibility/OldMicroDiagram
texmf-dist/doc/generic/borceux/compatibility/OldMiniDiagram
texmf-dist/doc/generic/borceux/compatibility/OldMultipleArrows
texmf-dist/tex/generic/borceux/Diagram
texmf-dist/tex/generic/borceux/MaxiDiagram
texmf-dist/tex/generic/borceux/MicroDiagram
texmf-dist/tex/generic/borceux/MiniDiagram
texmf-dist/tex/generic/borceux/MultipleArrows
texmf-dist/doc/generic/c-pascal/README.eng
texmf-dist/doc/generic/c-pascal/README.pol
texmf-dist/doc/generic/c-pascal/demo1.tex
texmf-dist/doc/generic/c-pascal/demo2.tex
texmf-dist/doc/generic/c-pascal/prog/fib.py
texmf-dist/doc/generic/c-pascal/prog/guess.pas
texmf-dist/doc/generic/c-pascal/prog/sun.c
texmf-dist/tex/generic/c-pascal/cap.tex
texmf-dist/tex/generic/c-pascal/cap_c.tex
texmf-dist/tex/generic/c-pascal/cap_comm.tex
texmf-dist/tex/generic/c-pascal/cap_pas.tex
texmf-dist/tex/generic/c-pascal/cap_pyt.tex
texmf-dist/doc/generic/chronosys/README
texmf-dist/doc/generic/chronosys/docchronosys_en.pdf
texmf-dist/doc/generic/chronosys/docchronosys_en.tex
texmf-dist/doc/generic/chronosys/docchronosys_fr.pdf
texmf-dist/doc/generic/chronosys/docchronosys_fr.tex
texmf-dist/tex/generic/chronosys/chronosys.sty
texmf-dist/tex/generic/chronosys/chronosys.tex
texmf-dist/tex/generic/chronosys/chronosyschr.tex
texmf-dist/tex/generic/chronosys/x-chronosys.tex
texmf-dist/dvips/colorsep/colorsep.pro
texmf-dist/doc/bibtex/dinat/dinat-index.html
texmf-dist/doc/bibtex/dinat/history.html
texmf-dist/bibtex/bst/dinat/dinat.bst
texmf-dist/doc/generic/dirtree/README
texmf-dist/doc/generic/dirtree/dirtree.pdf
texmf-dist/source/generic/dirtree/dirtree.dtx
texmf-dist/source/generic/dirtree/dirtree.ins
texmf-dist/tex/generic/dirtree/dirtree.sty
texmf-dist/tex/generic/dirtree/dirtree.tex
texmf-dist/doc/generic/dowith/README
texmf-dist/doc/generic/dowith/dowith.pdf
texmf-dist/source/generic/dowith/SrcFILEs.txt
texmf-dist/source/generic/dowith/dowith.tex
texmf-dist/source/generic/dowith/srcfiles.tex
texmf-dist/tex/generic/dowith/dowith.RLS
texmf-dist/tex/generic/dowith/dowith.sty
texmf-dist/tex/generic/eijkhout/CD_labeler.tex
texmf-dist/tex/generic/eijkhout/CD_labeler_test.tex
texmf-dist/tex/generic/eijkhout/DB_process.tex
texmf-dist/tex/generic/eijkhout/repeat.tex
texmf-dist/doc/generic/encxvlna/License.txt
texmf-dist/doc/generic/encxvlna/README
texmf-dist/doc/generic/encxvlna/encxvlna.pdf
texmf-dist/doc/generic/encxvlna/encxvlna.tex
texmf-dist/doc/generic/encxvlna/vlna-inc.tex
texmf-dist/tex/latex/encxvlna/encxvlna.sty
texmf-dist/tex/plain/encxvlna/encxvlna.tex
texmf-dist/tex/generic/epigram/epigram.tex
texmf-dist/doc/generic/fenixpar/README
texmf-dist/tex/generic/fenixpar/fenixpar.sty
texmf-dist/tex/generic/fenixpar/fenixtok.sty
texmf-dist/doc/generic/fltpoint/README
texmf-dist/doc/generic/fltpoint/fltpoint.pdf
texmf-dist/source/generic/fltpoint/fltpoint.dtx
texmf-dist/source/generic/fltpoint/fltpoint.ins
texmf-dist/tex/generic/fltpoint/deccomma.sty
texmf-dist/tex/generic/fltpoint/fltpoint.sty
texmf-dist/tex/generic/fltpoint/fltpoint.tex
texmf-dist/doc/generic/fntproof/README
texmf-dist/doc/generic/fntproof/fntproof-doc.pdf
texmf-dist/doc/generic/fntproof/fntproof-doc.tex
texmf-dist/tex/generic/fntproof/fntproof.tex
texmf-dist/doc/generic/gates/README
texmf-dist/doc/generic/gates/gates-doc.pdf
texmf-dist/doc/generic/gates/gates-doc.tex
texmf-dist/doc/generic/gates/gates-doc.txt
texmf-dist/doc/generic/gates/gates.tex
texmf-dist/tex/generic/gates/gates.lua
texmf-dist/tex/generic/gates/gates.sty
texmf-dist/tex/generic/gates/t-gates.tex
texmf-dist/doc/latex/ifetex/README
texmf-dist/doc/latex/ifetex/ifetex.pdf
texmf-dist/source/latex/ifetex/ifetex.dtx
texmf-dist/source/latex/ifetex/ifetex.ins
texmf-dist/tex/latex/ifetex/ifetex.sty
texmf-dist/tex/plain/ifetex/ifetex.tex
texmf-dist/doc/generic/iftex/README
texmf-dist/doc/generic/iftex/iftex.pdf
texmf-dist/doc/generic/iftex/iftex.tex
texmf-dist/tex/generic/iftex/iftex.sty
texmf-dist/doc/generic/insbox/demo.tex
texmf-dist/doc/generic/insbox/pic1.eps
texmf-dist/doc/generic/insbox/pic2.eps
texmf-dist/tex/generic/insbox/insbox.tex
texmf-dist/doc/generic/lecturer/LecturerDemo-BeamerCambridgeUS.pdf
texmf-dist/doc/generic/lecturer/LecturerDemo-BeamerCambridgeUS.tex
texmf-dist/doc/generic/lecturer/LecturerDemo-KitschScienceFiction.pdf
texmf-dist/doc/generic/lecturer/LecturerDemo-KitschScienceFiction.tex
texmf-dist/doc/generic/lecturer/LecturerDemo-Mondrian.pdf
texmf-dist/doc/generic/lecturer/LecturerDemo-Mondrian.tex
texmf-dist/doc/generic/lecturer/LecturerDemo-SimplePresentation.pdf
texmf-dist/doc/generic/lecturer/LecturerDemo-SimplePresentation.tex
texmf-dist/doc/generic/lecturer/LecturerDemo-SquaresOfAs.pdf
texmf-dist/doc/generic/lecturer/LecturerDemo-SquaresOfAs.tex
texmf-dist/doc/generic/lecturer/LecturerDemo-ThePoodleLectures.pdf
texmf-dist/doc/generic/lecturer/LecturerDemo-ThePoodleLectures.tex
texmf-dist/doc/generic/lecturer/LecturerDemo-VisualDoc.pdf
texmf-dist/doc/generic/lecturer/LecturerDemo-VisualDoc.tex
texmf-dist/doc/generic/lecturer/README
texmf-dist/doc/generic/lecturer/lecturer-doc.pdf
texmf-dist/doc/generic/lecturer/lecturer-doc.tex
texmf-dist/doc/generic/lecturer/universe.jpg
texmf-dist/tex/generic/lecturer/lecturer.sty
texmf-dist/tex/generic/lecturer/lecturer.tex
texmf-dist/tex/generic/lecturer/ltr-areas.tex
texmf-dist/tex/generic/lecturer/ltr-graphics.tex
texmf-dist/tex/generic/lecturer/ltr-job.tex
texmf-dist/tex/generic/lecturer/ltr-navigation.tex
texmf-dist/tex/generic/lecturer/ltr-slides.tex
texmf-dist/tex/generic/lecturer/ltr-steps.tex
texmf-dist/tex/generic/lecturer/t-lecturer.tex
texmf-dist/doc/generic/librarian/README
texmf-dist/doc/generic/librarian/authoryear.tex
texmf-dist/doc/generic/librarian/librarian-doc.pdf
texmf-dist/doc/generic/librarian/librarian-doc.tex
texmf-dist/doc/generic/librarian/librarian.bib
texmf-dist/tex/generic/librarian/librarian.sty
texmf-dist/tex/generic/librarian/librarian.tex
texmf-dist/tex/generic/librarian/t-librarian.tex
texmf-dist/doc/generic/mathdots/README
texmf-dist/doc/generic/mathdots/mathdots.pdf
texmf-dist/doc/generic/mathdots/mdtest.tex
texmf-dist/source/generic/mathdots/mathdots.dtx
texmf-dist/source/generic/mathdots/mathdots.ins
texmf-dist/tex/generic/mathdots/mathdots.sty
texmf-dist/tex/generic/mathdots/mathdots.tex
texmf-dist/doc/plain/metatex/README
texmf-dist/doc/plain/metatex/gpl.txt
texmf-dist/doc/plain/metatex/mtmp2pdf.tex
texmf-dist/doc/plain/metatex/mtpaper.pdf
texmf-dist/doc/plain/metatex/mtpaper/delay.mf
texmf-dist/doc/plain/metatex/mtpaper/diagram.tex
texmf-dist/doc/plain/metatex/mtpaper/frame.tex
texmf-dist/doc/plain/metatex/mtpaper/mtpaper.tex
texmf-dist/doc/plain/metatex/mtpaper/shadow.tex
texmf-dist/tex/plain/metatex/metatex.tex
texmf-dist/doc/generic/midnight/README
texmf-dist/doc/generic/midnight/border.doc
texmf-dist/doc/generic/midnight/dolines.doc
texmf-dist/doc/generic/midnight/gloss.doc
texmf-dist/doc/generic/midnight/labels.doc
texmf-dist/doc/generic/midnight/loop.doc
texmf-dist/doc/generic/midnight/midnight.pdf
texmf-dist/doc/generic/midnight/quire.doc
texmf-dist/doc/generic/midnight/styledef.doc
texmf-dist/tex/generic/midnight/border.tex
texmf-dist/tex/generic/midnight/dolines.tex
texmf-dist/tex/generic/midnight/gloss.tex
texmf-dist/tex/generic/midnight/labels.tex
texmf-dist/tex/generic/midnight/loop.tex
texmf-dist/tex/generic/midnight/quire.tex
texmf-dist/tex/generic/midnight/styledef.tex
texmf-dist/dvips/multi/2up.pro
texmf-dist/dvips/multi/4up.pro
texmf-dist/dvips/multi/multi.pro
texmf-dist/doc/generic/navigator/README
texmf-dist/doc/generic/navigator/navigator-doc.pdf
texmf-dist/doc/generic/navigator/navigator-doc.tex
texmf-dist/tex/generic/navigator/navigator.sty
texmf-dist/tex/generic/navigator/navigator.tex
texmf-dist/tex/generic/navigator/t-navigator.tex
texmf-dist/doc/generic/ofs/changes.txt
texmf-dist/doc/generic/ofs/eurotex2003-ofs.pdf
texmf-dist/doc/generic/ofs/eurotex2003-ofs.tex
texmf-dist/doc/generic/ofs/ofs-slt.pdf
texmf-dist/doc/generic/ofs/ofsdoc-e.pdf
texmf-dist/doc/generic/ofs/ofsdoc-e.tex
texmf-dist/doc/generic/ofs/ofsdoc.pdf
texmf-dist/doc/generic/ofs/ofsdoc.tex
texmf-dist/doc/generic/ofs/ofsmtdef.tex
texmf-dist/doc/generic/ofs/ofstest.tex
texmf-dist/doc/generic/ofs/readme.ofs
texmf-dist/tex/generic/ofs/a117.tex
texmf-dist/tex/generic/ofs/a35.sty
texmf-dist/tex/generic/ofs/a35.tex
texmf-dist/tex/generic/ofs/allfonts.sty
texmf-dist/tex/generic/ofs/allfonts.tex
texmf-dist/tex/generic/ofs/amsfn.tex
texmf-dist/tex/generic/ofs/mtfn.tex
texmf-dist/tex/generic/ofs/ofs-6a.tex
texmf-dist/tex/generic/ofs/ofs-6c.tex
texmf-dist/tex/generic/ofs/ofs-6k.tex
texmf-dist/tex/generic/ofs/ofs-6s.tex
texmf-dist/tex/generic/ofs/ofs-6t.tex
texmf-dist/tex/generic/ofs/ofs-6x.tex
texmf-dist/tex/generic/ofs/ofs-6y.tex
texmf-dist/tex/generic/ofs/ofs-8c.tex
texmf-dist/tex/generic/ofs/ofs-8t.tex
texmf-dist/tex/generic/ofs/ofs-8x.tex
texmf-dist/tex/generic/ofs/ofs-8z.tex
texmf-dist/tex/generic/ofs/ofs-ams.tex
texmf-dist/tex/generic/ofs/ofs-cm.tex
texmf-dist/tex/generic/ofs/ofs-mt.tex
texmf-dist/tex/generic/ofs/ofs-ps.tex
texmf-dist/tex/generic/ofs/ofs-px.tex
texmf-dist/tex/generic/ofs/ofs-slt.tex
texmf-dist/tex/generic/ofs/ofs-tx.tex
texmf-dist/tex/generic/ofs/ofs.sty
texmf-dist/tex/generic/ofs/ofs.tex
texmf-dist/tex/generic/ofs/ofsdef.tex
texmf-dist/tex/generic/ofs/pantyk.tex
texmf-dist/tex/generic/ofs/txfn.tex
texmf-dist/doc/generic/pdf-trans/example.pdf
texmf-dist/doc/generic/pdf-trans/example.tex
texmf-dist/tex/generic/pdf-trans/pdf-trans.tex
texmf-dist/doc/generic/shade/README
texmf-dist/doc/generic/shade/description.pdf
texmf-dist/doc/generic/shade/description.tex
texmf-dist/fonts/source/public/shade/shade.mf
texmf-dist/tex/generic/shade/shade.tex
texmf-dist/doc/generic/systeme/README
texmf-dist/doc/generic/systeme/systeme_doc_fr.pdf
texmf-dist/doc/generic/systeme/systeme_doc_fr.tex
texmf-dist/tex/generic/systeme/systeme.sty
texmf-dist/tex/generic/systeme/systeme.tex
texmf-dist/tex/generic/tabto-generic/tabto.tex
texmf-dist/doc/generic/texapi/README
texmf-dist/doc/generic/texapi/texapi-doc.pdf
texmf-dist/doc/generic/texapi/texapi-doc.tex
texmf-dist/tex/generic/texapi/texapi.tex
texmf-dist/doc/generic/upca/README
texmf-dist/doc/generic/upca/test-upca.tex
texmf-dist/tex/generic/upca/upca.tex
texmf-dist/doc/generic/xlop/LISEZ.MOI
texmf-dist/doc/generic/xlop/README
texmf-dist/doc/generic/xlop/xlop-doc-fr.pdf
texmf-dist/doc/generic/xlop/xlop-doc-fr.tex
texmf-dist/doc/generic/xlop/xlop-doc.pdf
texmf-dist/doc/generic/xlop/xlop-doc.tex
texmf-dist/source/generic/xlop/manual.sty
texmf-dist/tex/generic/xlop/xlop.sty
texmf-dist/tex/generic/xlop/xlop.tex
texmf-dist/doc/generic/yax/README
texmf-dist/doc/generic/yax/yax-doc.pdf
texmf-dist/doc/generic/yax/yax-doc.tex
texmf-dist/tex/generic/yax/t-yax.tex
texmf-dist/tex/generic/yax/yax.sty
texmf-dist/tex/generic/yax/yax.tex
)

%__mkdir_p ${PREF}/texmf-dist
for i in "${manifest[@]}"; do 
    %__install -m $(stat -c %a %{texlive_src}/$i) -p -D %{texlive_src}/$i ${PREF}/$i
done
## make symlinks of core script utils
mk_symlinks=(
texlive-collection-bibtexextra,/usr/bin/bibexport,/usr/share/texmf-dist/scripts/bibexport/bibexport.sh
texlive-collection-bibtexextra,/usr/bin/listbib,/usr/share/texmf-dist/scripts/listbib/listbib
texlive-collection-bibtexextra,/usr/bin/urlbst,/usr/share/texmf-dist/scripts/urlbst/urlbst
texlive-collection-binextra,/usr/bin/arlatex,/usr/share/texmf-dist/scripts/bundledoc/arlatex
texlive-collection-binextra,/usr/bin/bundledoc,/usr/share/texmf-dist/scripts/bundledoc/bundledoc
texlive-collection-binextra,/usr/bin/ctanify,/usr/share/texmf-dist/scripts/ctanify/ctanify
texlive-collection-binextra,/usr/bin/ctanupload,/usr/share/texmf-dist/scripts/ctanupload/ctanupload.pl
texlive-collection-binextra,/usr/bin/de-macro,/usr/share/texmf-dist/scripts/de-macro/de-macro
texlive-collection-binextra,/usr/bin/dviasm,/usr/share/texmf-dist/scripts/dviasm/dviasm.py
texlive-collection-binextra,/usr/bin/findhyph,/usr/share/texmf-dist/scripts/findhyph/findhyph
texlive-collection-binextra,/usr/bin/fragmaster,/usr/share/texmf-dist/scripts/fragmaster/fragmaster.pl
texlive-collection-binextra,/usr/bin/installfont-tl,/usr/share/texmf-dist/scripts/installfont/installfont-tl
texlive-collection-binextra,/usr/bin/latex2man,/usr/share/texmf-dist/scripts/latex2man/latex2man
texlive-collection-binextra,/usr/bin/latexdiff,/usr/share/texmf-dist/scripts/latexdiff/latexdiff.pl
texlive-collection-binextra,/usr/bin/latexdiff-vc,/usr/share/texmf-dist/scripts/latexdiff/latexdiff-vc.pl
texlive-collection-binextra,/usr/bin/latexfileversion,/usr/share/texmf-dist/scripts/latexfileversion/latexfileversion
texlive-collection-binextra,/usr/bin/latexmk,/usr/share/texmf-dist/scripts/latexmk/latexmk.pl
texlive-collection-binextra,/usr/bin/latexrevise,/usr/share/texmf-dist/scripts/latexdiff/latexrevise.pl
texlive-collection-binextra,/usr/bin/listings-ext.sh,/usr/share/texmf-dist/scripts/listings-ext/listings-ext.sh
texlive-collection-binextra,/usr/bin/match_parens,/usr/share/texmf-dist/scripts/match_parens/match_parens
texlive-collection-binextra,/usr/bin/mkjobtexmf,/usr/share/texmf-dist/scripts/mkjobtexmf/mkjobtexmf.pl
texlive-collection-binextra,/usr/bin/pdf180,/usr/share/texmf-dist/scripts/pdfjam/pdf180
texlive-collection-binextra,/usr/bin/pdf270,/usr/share/texmf-dist/scripts/pdfjam/pdf270
texlive-collection-binextra,/usr/bin/pdf90,/usr/share/texmf-dist/scripts/pdfjam/pdf90
texlive-collection-binextra,/usr/bin/pdfbook,/usr/share/texmf-dist/scripts/pdfjam/pdfbook
texlive-collection-binextra,/usr/bin/pdfcrop,/usr/share/texmf-dist/scripts/pdfcrop/pdfcrop.pl
texlive-collection-binextra,/usr/bin/pdfflip,/usr/share/texmf-dist/scripts/pdfjam/pdfflip
texlive-collection-binextra,/usr/bin/pdfjam,/usr/share/texmf-dist/scripts/pdfjam/pdfjam
texlive-collection-binextra,/usr/bin/pdfjam-pocketmod,/usr/share/texmf-dist/scripts/pdfjam/pdfjam-pocketmod
texlive-collection-binextra,/usr/bin/pdfjam-slides3up,/usr/share/texmf-dist/scripts/pdfjam/pdfjam-slides3up
texlive-collection-binextra,/usr/bin/pdfjam-slides6up,/usr/share/texmf-dist/scripts/pdfjam/pdfjam-slides6up
texlive-collection-binextra,/usr/bin/pdfjoin,/usr/share/texmf-dist/scripts/pdfjam/pdfjoin
texlive-collection-binextra,/usr/bin/pdfnup,/usr/share/texmf-dist/scripts/pdfjam/pdfnup
texlive-collection-binextra,/usr/bin/pdfpun,/usr/share/texmf-dist/scripts/pdfjam/pdfpun
texlive-collection-binextra,/usr/bin/pkfix,/usr/share/texmf-dist/scripts/pkfix/pkfix.pl
texlive-collection-binextra,/usr/bin/pkfix-helper,/usr/share/texmf-dist/scripts/pkfix-helper/pkfix-helper
texlive-collection-binextra,/usr/bin/purifyeps,/usr/share/texmf-dist/scripts/purifyeps/purifyeps
texlive-collection-binextra,/usr/bin/sty2dtx,/usr/share/texmf-dist/scripts/sty2dtx/sty2dtx.pl
texlive-collection-binextra,/usr/bin/texcount,/usr/share/texmf-dist/scripts/texcount/texcount.pl
texlive-collection-binextra,/usr/bin/texdef,/usr/share/texmf-dist/scripts/texdef/texdef.pl
texlive-collection-binextra,/usr/bin/texdiff,/usr/share/texmf-dist/scripts/texdiff/texdiff
texlive-collection-binextra,/usr/bin/texdirflatten,/usr/share/texmf-dist/scripts/texdirflatten/texdirflatten
texlive-collection-binextra,/usr/bin/texliveonfly,/usr/share/texmf-dist/scripts/texliveonfly/texliveonfly.py
texlive-collection-binextra,/usr/bin/texloganalyser,/usr/share/texmf-dist/scripts/texloganalyser/texloganalyser
texlive-collection-binextra,/usr/bin/typeoutfileinfo,/usr/share/texmf-dist/scripts/typeoutfileinfo/typeoutfileinfo.sh
texlive-collection-fontutils,/usr/bin/afm2afm,/usr/share/texmf-dist/scripts/fontools/afm2afm
texlive-collection-fontutils,/usr/bin/autoinst,/usr/share/texmf-dist/scripts/fontools/autoinst
texlive-collection-fontutils,/usr/bin/dosepsbin,/usr/share/texmf-dist/scripts/dosepsbin/dosepsbin.pl
texlive-collection-fontutils,/usr/bin/epstopdf,/usr/share/texmf-dist/scripts/epstopdf/epstopdf.pl
texlive-collection-fontutils,/usr/bin/mf2pt1,/usr/share/texmf-dist/scripts/mf2pt1/mf2pt1.pl
texlive-collection-fontutils,/usr/bin/mkt1font,/usr/share/texmf-dist/scripts/accfonts/mkt1font
texlive-collection-fontutils,/usr/bin/ot2kpx,/usr/share/texmf-dist/scripts/fontools/ot2kpx
texlive-collection-fontutils,/usr/bin/vpl2ovp,/usr/share/texmf-dist/scripts/accfonts/vpl2ovp
texlive-collection-fontutils,/usr/bin/vpl2vpl,/usr/share/texmf-dist/scripts/accfonts/vpl2vpl
texlive-collection-htmlxml,/usr/bin/ht,/usr/share/texmf-dist/scripts/tex4ht/ht.sh
texlive-collection-htmlxml,/usr/bin/htcontext,/usr/share/texmf-dist/scripts/tex4ht/htcontext.sh
texlive-collection-htmlxml,/usr/bin/htlatex,/usr/share/texmf-dist/scripts/tex4ht/htlatex.sh
texlive-collection-htmlxml,/usr/bin/htmex,/usr/share/texmf-dist/scripts/tex4ht/htmex.sh
texlive-collection-htmlxml,/usr/bin/httex,/usr/share/texmf-dist/scripts/tex4ht/httex.sh
texlive-collection-htmlxml,/usr/bin/httexi,/usr/share/texmf-dist/scripts/tex4ht/httexi.sh
texlive-collection-htmlxml,/usr/bin/htxelatex,/usr/share/texmf-dist/scripts/tex4ht/htxelatex.sh
texlive-collection-htmlxml,/usr/bin/htxetex,/usr/share/texmf-dist/scripts/tex4ht/htxetex.sh
texlive-collection-htmlxml,/usr/bin/mk4ht,/usr/share/texmf-dist/scripts/tex4ht/mk4ht.pl
texlive-collection-langcjk,/usr/bin/convbkmk,/usr/share/texmf-dist/scripts/uptex/convbkmk.rb
texlive-collection-langcjk,/usr/bin/updmap-setup-kanji,/usr/share/texmf-dist/scripts/jfontmaps/updmap-setup-kanji.pl
texlive-collection-langgreek,/usr/bin/mkgrkindex,/usr/share/texmf-dist/scripts/mkgrkindex/mkgrkindex
texlive-collection-langindic,/usr/bin/ebong,/usr/share/texmf-dist/scripts/ebong/ebong.py
texlive-collection-latex,/usr/bin/mptopdf,/usr/share/texmf-dist/scripts/context/perl/mptopdf.pl
texlive-collection-latex,/usr/bin/pdfatfi,/usr/share/texmf-dist/scripts/oberdiek/pdfatfi.pl
texlive-collection-latexextra,/usr/bin/authorindex,/usr/share/texmf-dist/scripts/authorindex/authorindex
texlive-collection-latexextra,/usr/bin/exceltex,/usr/share/texmf-dist/scripts/exceltex/exceltex
texlive-collection-latexextra,/usr/bin/makeglossaries,/usr/share/texmf-dist/scripts/glossaries/makeglossaries
texlive-collection-latexextra,/usr/bin/pdfannotextractor,/usr/share/texmf-dist/scripts/pax/pdfannotextractor.pl
texlive-collection-latexextra,/usr/bin/perltex,/usr/share/texmf-dist/scripts/perltex/perltex.pl
texlive-collection-latexextra,/usr/bin/ps4pdf,/usr/share/texmf-dist/scripts/pst-pdf/ps4pdf
texlive-collection-latexextra,/usr/bin/splitindex,/usr/share/texmf-dist/scripts/splitindex/perl/splitindex.pl
texlive-collection-latexextra,/usr/bin/svn-multi,/usr/share/texmf-dist/scripts/svn-multi/svn-multi.pl
texlive-collection-latexextra,/usr/bin/vpe,/usr/share/texmf-dist/scripts/vpe/vpe.pl
texlive-collection-latexrecommended,/usr/bin/thumbpdf,/usr/share/texmf-dist/scripts/thumbpdf/thumbpdf.pl
texlive-collection-luatex,/usr/bin/checkcites,/usr/share/texmf-dist/scripts/checkcites/checkcites.lua
texlive-collection-luatex,/usr/bin/mkluatexfontdb,/usr/share/texmf-dist/scripts/luaotfload/mkluatexfontdb.lua
texlive-collection-music,/usr/bin/m-tx,/usr/share/texmf-dist/scripts/m-tx/m-tx.lua
texlive-collection-music,/usr/bin/musixflx,/usr/share/texmf-dist/scripts/musixtex/musixflx.lua
texlive-collection-music,/usr/bin/musixtex,/usr/share/texmf-dist/scripts/musixtex/musixtex.lua
texlive-collection-music,/usr/bin/pmx2pdf,/usr/share/texmf-dist/scripts/pmx/pmx2pdf.lua
texlive-collection-pictures,/usr/bin/cachepic,/usr/share/texmf-dist/scripts/cachepic/cachepic.tlu
texlive-collection-pictures,/usr/bin/epspdf,/usr/share/texmf-dist/scripts/epspdf/epspdf.rb
texlive-collection-pictures,/usr/bin/epspdftk,/usr/share/texmf-dist/scripts/epspdf/epspdftk.tcl
texlive-collection-pictures,/usr/bin/fig4latex,/usr/share/texmf-dist/scripts/fig4latex/fig4latex
texlive-collection-pictures,/usr/bin/mathspic,/usr/share/texmf-dist/scripts/mathspic/mathspic.pl
texlive-collection-pstricks,/usr/bin/pedigree,/usr/share/texmf-dist/scripts/pedigree-perl/pedigree.pl
texlive-collection-pstricks,/usr/bin/pst2pdf,/usr/share/texmf-dist/scripts/pst2pdf/pst2pdf
texlive-collection-science,/usr/bin/ulqda,/usr/share/texmf-dist/scripts/ulqda/ulqda.pl
)
%__mkdir_p %{buildroot}%{_bindir}
pushd %{buildroot}%{_bindir}
    for i in "${mk_symlinks[@]}"; do 
        tlc=$(/bin/echo $i | cut -f 1 -d",")
        lnk=$(/bin/echo $i | cut -f 2 -d"," | %__sed -e "s|/usr/bin/||")
        rlnk=$(/bin/echo $i | cut -f 3 -d"," | %__sed -e "s|/usr/|../|")

        [ "%{name}" = "$tlc" ] || continue
        [ -f $rlnk ] || exit 1
        %__ln_s $rlnk $lnk || exit 1
    done
popd
## Files list
find %{buildroot} -type f -or -type l | \
    %__sed -e "s|%{buildroot}||g" > filelist.full

find %{buildroot}%{texmf}-dist -type d | \
    %__sed -e "s|^%{buildroot}|%dir |" \
           -e "s|$|/|"             >> filelist.full

## subpackages
grep "/texmf-dist/doc/" filelist.full > filelist.doc
cat filelist.doc filelist.full | sort | uniq -u > filelist.tmp
%__mv -f filelist.tmp filelist.full

%clean
%__rm -rf %{buildroot}

%post
%touch_run texhash
%touch_run mtxrun

exit 0


%postun
if [ "$1" = 0 ]; then
    %touch_run texhash

fi

exit 0

%posttrans
%{exec_texhash}
%{exec_mtxrun}
%{exec_updmap}
%{exec_fmtutil}
exit 0


%files -f filelist.full
%defattr(-,root,root,-)

%files -f filelist.doc doc
%defattr(-,root,root,-)

%changelog
* Fri Nov 23 2012 Munehiro Yamamoto <munepi@vinelinux.org> 2012-1
- generated by tlpdb2rpmspec 2012-1: tlpdb2rpmspec collection-genericextra

* Sat Dec  3 2011 Munehiro Yamamoto <munepi@vinelinux.org> 2011-2
- generated by tlpdb2rpmspec 2011-2: tlpdb2rpmspec collection-genericextra
- set external dependencies (texlive-collection-binextra, 
  texlive-collection-fontutils)

* Sun Oct 30 2011 Munehiro Yamamoto <munepi@vinelinux.org> 2011-1
- generated by tlpdb2rpmspec 2011-1: tlpdb2rpmspec collection-genericextra

* Mon Mar 23 2011 Munehiro Yamamoto <munepi@vinelinux.org> 2009-4
- generated by tlpdb2rpmspec 2009-4: tlpdb2rpmspec collection-genericextra
- make symlinks of core script utils (texlive-collection-binextra, 
  texlive-collection-context, texlive-collection-fontutils, 
  texlive-collection-langgreek, texlive-collection-langindic, 
  texlive-collection-latex, texlive-collection-latexextra, 
  texlive-collection-latexrecommended, texlive-collection-pictures, 
  texlive-collection-pstricks, texlive-collection-science)

* Fri Jan 14 2011 Munehiro Yamamoto <munepi@vinelinux.org> 2009-3
- generated by tlpdb2rpmspec 2009-3: tlpdb2rpmspec collection-genericextra
- improved %%post

* Fri Oct 01 2010 Munehiro Yamamoto <munepi@vinelinux.org> 2009-2
- generated by tlpdb2rpmspec 2009-2: tlpdb2rpmspec collection-genericextra
- removed arch dependent binaries (texlive-collection-latexextra)
- fixed perl path
- improved updmap process in %%post and %%postun

* Sat Aug 07 2010 Munehiro Yamamoto <munepi@vinelinux.org> 2009-1
- generated by tlpdb2rpmspec 2009-1: tlpdb2rpmspec collection-genericextra
